## LSQArchive

LSQArchive

## Synopsis

                        LSQArchiveIter;
                        LSQArchive;
    LSQArchive*         lsq_archive_new                     (gchar *,
                                                             const gchar *);
    const gchar*        lsq_archive_get_status              (const LSQArchive *archive);
    gchar*              lsq_archive_get_filename            (const LSQArchive *archive);
    gboolean            lsq_archive_iter_is_directory       (const LSQArchiveIter *);
    guint               lsq_archive_iter_n_children         (const LSQArchiveIter *);
    LSQArchiveIter*     lsq_archive_iter_nth_child          (LSQArchiveIter *,
                                                             guint );
    LSQArchiveIter*     lsq_archive_iter_get_child          (LSQArchiveIter *,
                                                             const gchar *);
    void                lsq_archive_iter_set_propsv         (LSQArchiveIter *,
                                                             gconstpointer *);
    gboolean            lsq_archive_iter_get_prop_value     (const LSQArchiveIter *iter,
                                                             guint n,
                                                             GValue *value);
    LSQArchiveIter*     lsq_archive_add_file                (LSQArchive *,
                                                             const gchar *);
    LSQArchiveIter*     lsq_archive_get_iter                (LSQArchive *archive,
                                                             const gchar *path);
    GType               lsq_archive_get_entry_property_type (const LSQArchive *archive,
                                                             guint n);
    const gchar*        lsq_archive_get_entry_property_name (const LSQArchive *archive,
                                                             guint n);

## Object Hierarchy

      GObject
       +----LSQArchive

## Signals

      "command-terminated"                             : Run Last / Action
      "refreshed"                                      : Run Last / Action
      "state-changed"                                  : Run Last / Action

## Description

## Details

### LSQArchiveIter

    typedef struct _LSQArchiveIter LSQArchiveIter;

### LSQArchive

    typedef struct _LSQArchive LSQArchive;

### lsq_archive_new ()

    LSQArchive*         lsq_archive_new                     (gchar *,
                                                             const gchar *);

`Param1` : |
`Param2` : |
Returns : |

### lsq_archive_get_status ()

    const gchar*        lsq_archive_get_status              (const LSQArchive *archive);

`archive` : |
Returns : |

### lsq_archive_get_filename ()

    gchar*              lsq_archive_get_filename            (const LSQArchive *archive);

`archive` : |
Returns : |

### lsq_archive_iter_is_directory ()

    gboolean            lsq_archive_iter_is_directory       (const LSQArchiveIter *);

`Param1` : |
Returns : |

### lsq_archive_iter_n_children ()

    guint               lsq_archive_iter_n_children         (const LSQArchiveIter *);

`Param1` : |
Returns : |

### lsq_archive_iter_nth_child ()

    LSQArchiveIter*     lsq_archive_iter_nth_child          (LSQArchiveIter *,
                                                             guint );

`Param1` : |
`Param2` : |
Returns : |

### lsq_archive_iter_get_child ()

    LSQArchiveIter*     lsq_archive_iter_get_child          (LSQArchiveIter *,
                                                             const gchar *);

`Param1` : |
`Param2` : |
Returns : |

### lsq_archive_iter_set_propsv ()

    void                lsq_archive_iter_set_propsv         (LSQArchiveIter *,
                                                             gconstpointer *);

`Param1` : |
`Param2` : |

### lsq_archive_iter_get_prop_value ()

    gboolean            lsq_archive_iter_get_prop_value     (const LSQArchiveIter *iter,
                                                             guint n,
                                                             GValue *value);

`iter` : |
`n` : |
`value` : |
Returns : |

### lsq_archive_add_file ()

    LSQArchiveIter*     lsq_archive_add_file                (LSQArchive *,
                                                             const gchar *);

`Param1` : |
`Param2` : |
Returns : |

### lsq_archive_get_iter ()

    LSQArchiveIter*     lsq_archive_get_iter                (LSQArchive *archive,
                                                             const gchar *path);

`archive` : |
`path` : |
Returns : |

### lsq_archive_get_entry_property_type ()

    GType               lsq_archive_get_entry_property_type (const LSQArchive *archive,
                                                             guint n);

`archive` : |
`n` : |
Returns : |

### lsq_archive_get_entry_property_name ()

    const gchar*        lsq_archive_get_entry_property_name (const LSQArchive *archive,
                                                             guint n);

`archive` : |
`n` : |
Returns : |

## Signal Details

### The `"command-terminated"` signal

    void                user_function                      (LSQArchive *lsqarchive,
                                                            gpointer    arg1,
                                                            gpointer    user_data)       : Run Last / Action

`lsqarchive` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"refreshed"` signal

    void                user_function                      (LSQArchive *lsqarchive,
                                                            gpointer    user_data)       : Run Last / Action

`lsqarchive` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"state-changed"` signal

    void                user_function                      (LSQArchive *lsqarchive,
                                                            gpointer    user_data)       : Run Last / Action

`lsqarchive` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.